Generations

Kick off a generation

POST
/generations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/generations" \  -H "Content-Type: application/json" \  -d '{    "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1"  }'
{
  "generation": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1",
    "status": "pending",
    "trigger": "manual",
    "createdAt": "2019-08-24T14:15:22Z",
    "urls": {
      "self": "string",
      "llms": "string",
      "llmsFull": "string",
      "pages": "string"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}

On this page